import { Module, ReExportVariableModule } from '../../module';
import * as types from './typings';
export declare class EventModule extends Module {
    private _event;
    constructor(name: string, _event: types.EventDefinition);
    getContent(): Promise<string>;
}
export declare class EventsModule extends ReExportVariableModule {
    constructor(events: Record<string, types.EventDefinition>);
}
